log4j.rootLogger=INFO,stdout,file
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=%n%-d{yyyy-MM-dd HH:mm:ss}%n[%p]-[Thread: %t]-[%C.%M()]: %m%n

# Output to the File
log4j.appender.file = org.apache.log4j.DailyRollingFileAppender  
log4j.appender.Threshold = DEBUG
log4j.appender.file.DatePattern = '.'yyyy-MM-dd
log4j.appender.file.File=logs/log.log
log4j.appender.file.layout=org.apache.log4j.PatternLayout
log4j.appender.file.layout.ConversionPattern=%n%-d{yyyy-MM-dd HH:mm:ss}%n[%p]-[Thread: %t]-[%C.%M()]: %m%n

#\u8BB0\u5F55\u9664ResultSet\u8C03\u7528\u4EE5\u5916\u7684\u6240\u6709JDBC\u8C03\u7528
log4j.logger.jdbc.audit = INFO,jdbc
log4j.additivity.jdbc.audit = false

#\u53EA\u8BB0\u5F55\u5BF9ResultSet\u5BF9\u8C61\u7684JDBC\u8C03\u7528
log4j.logger.jdbc.resultset = INFO,jdbc
log4j.additivity.jdbc.resultset = false

#\u53EA\u8BB0\u5F55\u6267\u884C\u7684SQL\u3002
log4j.logger.jdbc.sqlonly = INFO,sql
log4j.additivity.jdbc.sqlonly = false

#\u8BB0\u5F55\u6709\u5173\u6267\u884C\u7684SQL\u7684\u65F6\u95F4\u4FE1\u606F\u3002
log4j.logger.jdbc.sqltiming = INFO,console
log4j.additivity.jdbc.sqltiming = true

#\u8BB0\u5F55\u8FDE\u63A5\u6253\u5F00/\u5173\u95ED\u4E8B\u4EF6\u548C\u8FDE\u63A5\u53F7\u7801\u8F6C\u50A8
log4j.logger.jdbc.connection = FATAL,\u8FDE\u63A5
log4j.additivity.jdbc.connection = false

log4j.appender.console=org.apache.log4j.ConsoleAppender
log4j.appender.console.layout=org.apache.log4j.SimpleLayout